Bug 91677 - Griffin Powermate needs additional info in usb.handmap
Griffin Powermate needs additional info in usb.handmap
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: hotplug (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-26 22:25 EDT by Carwyn Edwards
Modified: 2014-03-16 22:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2004_09_23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 17:06:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carwyn Edwards 2003-05-26 22:25:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030508

Description of problem:
The Griffin Powermate needs additional info in /etc/hotplug/usb/handmap to
funtion properly with the standard linux kernel driver as shipped with RH9.

Basically it too (like the wacom devices mentioned in the same file) needs, but
does not depend on the evdev driver.

Adding the following lines to usb.handmap fixes the problem:

evdev                0x0003 0x077d   0x0410    0x0000       0x0000       0x00
      0x00            0x00            0x00            0x00               0x00
      0x00000000
evdev                0x0003 0x077d   0x04aa    0x0000       0x0000       0x00
      0x00            0x00            0x00            0x00               0x00
      0x00000000


To test use the tools on: http://www.sowerbutts.com/powermate/

The following is an example test session for the python script:

python>
import powermate
p = powermate.PowerMate()

.. it will throw an exception if it doesn't find the powermate.

Or even simpler - cat /dev/input/event0 - if it's there then it won't say device
not found.

Ref for Powermate product:
http://www.griffintechnology.com/products/powermate/index.html

Version-Release number of selected component (if applicable):
2002_04_01-17

How reproducible:
Always

Steps to Reproduce:
1. Try using the example code above or catting /dev/input/event0 when the
powermate is plugged in.
2. /var/log/messages also tells you the device has not been recognised if evdev
is not loaded.
    

Actual Results:  Powermate tools don;t work.

Expected Results:  Powermate tools should have worked.

Additional info:
Comment 1 Bill Nottingham 2005-02-07 17:06:11 EST
Added in 2004_09_23-1.
Comment 2 Bill Nottingham 2005-02-07 17:52:05 EST
Note that this is not used with current hotplug packages, however.

Note You need to log in before you can comment on or make changes to this bug.